/**
 * OW2 Util
 * Copyright (C) 2010-2011 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: SshProtocolConfig.java 5732 2011-02-13 12:53:48Z loris $
 * --------------------------------------------------------------------------
 */
package org.ow2.util.protocol.ssh.api;

import org.ow2.util.protocol.api.ProtocolConfig;

/**
 *
 * @author Loris Bouzonnet
 */
public class SshProtocolConfig extends ProtocolConfig {

    private String privateKeyPath;

    private String passphrase;

    private String knownHostsPath;

    private String x11Forwarding;

    private String proxyHttp;

    private String proxySocks4;

    private String proxySocks5;

    private Integer compressionLevel;

    private Integer connectionTimeout;

    private Integer channelTimeout;

    public String getPrivateKeyPath() {
        return privateKeyPath;
    }

    public void setPrivateKeyPath(final String privateKeyPath) {
        this.privateKeyPath = privateKeyPath;
    }

    public String getPassphrase() {
        return passphrase;
    }

    public void setPassphrase(final String passphrase) {
        this.passphrase = passphrase;
    }

    public String getKnownHostsPath() {
        return knownHostsPath;
    }

    public void setKnownHostsPath(final String knownHostsPath) {
        this.knownHostsPath = knownHostsPath;
    }

    public String getX11Forwarding() {
        return x11Forwarding;
    }

    public void setX11Forwarding(final String x11Forwarding) {
        this.x11Forwarding = x11Forwarding;
    }

    public String getProxyHttp() {
        return proxyHttp;
    }

    public void setProxyHttp(final String proxyHttp) {
        this.proxyHttp = proxyHttp;
    }

    public String getProxySocks4() {
        return proxySocks4;
    }

    public void setProxySocks4(final String proxySocks4) {
        this.proxySocks4 = proxySocks4;
    }

    public String getProxySocks5() {
        return proxySocks5;
    }

    public void setProxySocks5(final String proxySocks5) {
        this.proxySocks5 = proxySocks5;
    }

    public Integer getCompressionLevel() {
        return compressionLevel;
    }

    public void setCompressionLevel(final Integer compressionLevel) {
        this.compressionLevel = compressionLevel;
    }

    public Integer getConnectionTimeout() {
        return connectionTimeout;
    }

    public void setConnectionTimeout(final Integer connectionTimeout) {
        this.connectionTimeout = connectionTimeout;
    }

    public Integer getChannelTimeout() {
        return channelTimeout;
    }

    public void setChannelTimeout(final Integer channelTimeout) {
        this.channelTimeout = channelTimeout;
    }

    @Override
    public SshProtocolConfig clone() {
        return (SshProtocolConfig) super.clone();
    }

    @Override
    public String toString() {
        return "SshProtocolConfig{"  +
                "inputStream=" + getInputStream() +
                ", outputStream=" + getOutputStream() +
                ", errorStream=" + getErrorStream() +
                ", user='" + getUser() + '\'' +
                ", password='" + getPassword() + '\'' +
                ", host='" + getHost() + '\'' +
                ", port=" + getPort() +
                ", privateKeyPath='" + privateKeyPath + '\'' +
                ", passphrase='" + passphrase + '\'' +
                ", knownHostsPath='" + knownHostsPath + '\'' +
                ", x11Forwarding='" + x11Forwarding + '\'' +
                ", proxyHttp='" + proxyHttp + '\'' +
                ", proxySocks4='" + proxySocks4 + '\'' +
                ", proxySocks5='" + proxySocks5 + '\'' +
                ", compressionLevel=" + compressionLevel +
                ", connectionTimeout=" + connectionTimeout +
                ", channelTimeout=" + channelTimeout +
                '}';
    }
}
